using System;
using System.Drawing;
using System.Windows.Forms;
using System.Resources;
using EasyImages;

// Author: Saul Greenberg, University of Calgary, http://www.cpsc.ucalgary.ca/~saul  
// Copyright: (c) June 7, 2007.
// Documentation: see http://grouplab.cpsc.ucalgary.ca/cookbook/ and select EasyImages. 
// The API Documentation and a tutorial explaining this and other programs are available there
// License: See License details included in the distribution package. Essentialy, permission to 
// use and/or alter this program for non-commerical and/or educational purposes is granted,
// as long as attribution to the above author is maintained.
namespace ImageAlphaBlending
{
  public partial class Form1 : Form
  {
    //Get these two images (they are saved as resources as part of this project)
    Image image1 = Images.Picture1;
    Image image2 = Images.Picture2;

    public Form1()
    {
      InitializeComponent();
    }

    // Show the images when the form is loaded
    private void Form1_Load(object sender, EventArgs e)
    {
      ShowImage();
    }

    // Show the images when the alpha blending level is reset
    private void tbAlphaBlend_Scroll(object sender, EventArgs e)
    {
      ShowImage();
    }

    // Alpha-blend the two images (use the alpha level in the trackbar)
    // Then display it as well as the alpha value
    private void ShowImage()
    {
      pbImage.Image = EasyImages.ImageGenerator.AlphaBlend(image2, image1, tbAlphaBlend.Value / 100.0f);
      lblAlphaLevel.Text = "Alpha Blending Level: " + tbAlphaBlend.Value.ToString ();
    }
  }
}